---
title: "system api"
description: "system API provides some basic functions and values for current os."
---

# [Available APIs](../) >> system

## values

| name      | values | description                |
| --------- | :----: | -------------------------- |
| isWindows | 0 or 1 | check if the os is windows |
| isLinux   | 0 or 1 | check if the os is linux   |
| isOSX     | 0 or 1 | check if the os is OSX     |
| isDarwin  | 0 or 1 | check if the os is Darwin  |

## functions

| name       | description                            |
| ---------- | -------------------------------------- |
| fileformat | return the icon of current file format |
